### Function

# Gtk.tree_get_row_drag_data

#### Declaration [src]

    gboolean
    gtk_tree_get_row_drag_data (
      const GValue* value,
      GtkTreeModel** tree_model,
      GtkTreePath** path
    )

#### Description [src]

Obtains a `tree_model` and `path` from value of target type `GTK_TYPE_TREE_ROW_DATA`.

The returned path must be freed with `gtk_tree_path_free()`.

#### Parameters

`value` | `const GValue*`
| a `GValue`
| Ownership is not transferred to the callee
`tree_model` | `GtkTreeModel`
| a `GtkTreeModel`
| Direction: out
| Ownership is not transferred to the callee
`path` | `GtkTreePath`
| row in `tree_model`
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if `selection_data` had target type `GTK_TYPE_TREE_ROW_DATA` is otherwise valid